Package ru.bitel.oss.kernel.entity.common.service

# Interface EntityService

public interface EntityService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EntityAttrAddress`
  `entityAttrAddressGet(int entityId, int entitySpecId, EntitySpecType entitySpecType, int moduleId)`
  `void`
  `entitySpecAttrDelete(int id)`
  `EntitySpecAttr`
  `entitySpecAttrGet(int id)`
  `List<EntitySpecAttr>`
  `entitySpecAttrList()`
  `List<EntitySpecAttr>`
  `entitySpecAttrListByType(int type)`
  `void`
  `entitySpecAttrListItemDelete(int entitySpecId, int id)`
  `List<EntitySpecAttrListItem>`
  `entitySpecAttrListItemList(int entitySpecId)`
  `int`
  `entitySpecAttrListItemUpdate(int entitySpecId, EntitySpecAttrListItem item)`
  `int`
  `entitySpecAttrUpdate(EntitySpecAttr entitySpecAttr)`
  `List<EntitySpecDTO>`
  `entitySpecDtoList()`
  `EntitySpec`
  `entitySpecGet(int id)`
  `List<EntitySpec>`
  `entitySpecList()`
  `int`
  `entitySpecUpdate(EntitySpec entitySpec)`

- ## Method Details

  - ### entitySpecList

    List<EntitySpec> entitySpecList() throws Exception
    Throws:
      `Exception`

  - ### entitySpecDtoList

    List<EntitySpecDTO> entitySpecDtoList() throws Exception
    Throws:
      `Exception`

  - ### entitySpecGet

    EntitySpec entitySpecGet(int id) throws Exception
    Throws:
      `Exception`

  - ### entitySpecUpdate

    int entitySpecUpdate(EntitySpec entitySpec) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrList

    List<EntitySpecAttr> entitySpecAttrList() throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrListByType

    List<EntitySpecAttr> entitySpecAttrListByType(int type) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrGet

    EntitySpecAttr entitySpecAttrGet(int id) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrUpdate

    int entitySpecAttrUpdate(EntitySpecAttr entitySpecAttr) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrListItemList

    List<EntitySpecAttrListItem> entitySpecAttrListItemList(int entitySpecId) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrListItemUpdate

    int entitySpecAttrListItemUpdate(int entitySpecId, EntitySpecAttrListItem item) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrListItemDelete

    void entitySpecAttrListItemDelete(int entitySpecId, int id) throws Exception
    Throws:
      `Exception`

  - ### entitySpecAttrDelete

    void entitySpecAttrDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### entityAttrAddressGet

    EntityAttrAddress entityAttrAddressGet(int entityId, int entitySpecId, EntitySpecType entitySpecType, int moduleId) throws Exception
    Throws:
      `Exception`